Bio::Structure::Residue(3)

NAME
Bio::Structure::Residue - Bioperl structure Object, describes a Residue

SYNOPSIS
  #add synopsis here

DESCRIPTION
This object stores a Bio::Structure::Residue

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org             - General discussion
  http://bio.perl.org/MailList.html - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.bioperl.org/

AUTHOR - Kris Boulez
Email kris.boulez@algonomics.com

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new()
 Title   : new()
 Usage   : $residue = Bio::Structure::Residue->new(
                                           -id  => 'human_id',
                                           );

 Function: Returns a new Bio::Structure::Residue object from basic
        constructors. Probably most called from Bio::Structure::IO.
 Returns : a new Bio::Structure::Residue object

  atom()
 Title   : atom
 Usage   :
 Function:  nothing usefull untill I get symbolic references to do what I want
 Returns :
 Args    :

  add_atom()
 Title   : add_atom
 Usage   :
 Function:  nothing usefull untill I get symbolic references to do what I want
 Returns :
 Args    :

  chain()
 Title   : chain
 Usage   : $chain = $residue->chain($chain)
 Function: Sets the Chain this Residue belongs to
 Returns : Returns the Chain this Residue belongs to
 Args    : reference to a Chain

  id()
 Title   : id
 Usage   : $residue->id("TRP-35")
 Function: Gets/sets the ID for this residue
 Returns : the ID
 Args    : the ID

  DESTROY()
 Title   : DESTROY
 Usage   :
 Function: destructor ( get rid of circular references )
 Returns :
 Args    :

  _remove_atoms()
 Title   : _remove_atoms
 Usage   :
 Function: Removes the atoms attached to a Residue. Tells the atoms they
        don't belong to this Residue any more
 Returns :
 Args    :

  _remove_chain()
 Title   : _remove_chain
 Usage   :
 Function: Removes the Chain this Residue is atttached to.
 Returns :
 Args    :

  _grandparent()
 Title   : _grandparent
 Usage   :
 Function: get/set a symbolic reference to our grandparent
 Returns :
 Args    :